> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get recipients donaters



## OpenAPI

````yaml /api-reference/oda-recipient-service-1.0.0.yml get /recipients/{recipientId}/donaters
openapi: 3.0.1
info:
  title: oda-recipient-service
  version: 1.0.0
servers: []
security: []
paths:
  /recipients/{recipientId}/donaters:
    get:
      operationId: list
      parameters:
        - name: recipientId
          in: path
          required: true
          schema:
            type: string
        - name: period
          in: query
          required: true
          explode: false
          schema:
            type: string
      responses:
        '200':
          description: list 200 response
          content:
            application/json:
              schema:
                type: object
                additionalProperties:
                  $ref: '#/components/schemas/Amount'
components:
  schemas:
    Amount:
      required:
        - currency
        - major
        - minor
      type: object
      properties:
        minor:
          type: integer
          format: int32
        major:
          type: integer
          format: int32
        currency:
          type: string

````